Page MenuHomePhabricator

Goal: Clarify the bugwrangler's areas of triage and involvement across dev teams
Closed, ResolvedPublic

Description

This is a personal task.

  • my "daily gruntwork" (triage) takes quite some time
  • there are already some projects in Phab where I pay way less attention, that's just not really documented and not always explicitly agreed on with project teams

TODO: Start talking to dev teams to limit my areas of triage; slice out projects to not follow and make that explicit (but ask teams to CC/escalate to me when needed) and documented

Event Timeline

Aklapper claimed this task.
Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.
Qgil moved this task from To triage to July-September 2015 on the Developer-Advocacy board.
Qgil added a subscriber: Qgil.
Aklapper renamed this task from Clarify the bugwrangler's areas of triage and involvement across dev teams to Goal: Clarify the bugwrangler's areas of triage and involvement across dev teams.Jun 30 2015, 4:45 PM
Aklapper set Security to None.
Aklapper raised the priority of this task from Low to Normal.Aug 11 2015, 11:52 AM

So far I have agreed with one team and contacted four teams.

Hence I will not finish this in September. Punting to October.

Need to get clarification with preferably all teams here so the riddle continues.

Note to myself: Implementation is a different problem and of technical nature (I cannot easily CC myself on many tasks I'm not yet CCed on; Herald rules are limited regarding what I need in the current situation; need to play with filter abilities in Google Mail a bit more to handle stuff on the mail server already instead of locally).

Aklapper moved this task from Backlog to Doing on the DevRel-October-2015 board.Oct 6 2015, 10:43 AM
Aklapper lowered the priority of this task from Normal to Low.Nov 16 2015, 1:32 PM
Aklapper lowered the priority of this task from Low to Lowest.Dec 1 2015, 9:57 AM
Qgil added a comment.Feb 18 2016, 9:01 AM

I'm not sure about what is the work left here today, but in any case it is healthy to have this question clear and documented before the new WMF Annual Plan starts in July.

Aklapper closed this task as Resolved.EditedMay 2 2016, 9:03 AM

The bugwrangler cannot support everybody and everything.

My triage workflow is mostly mail based, with some browser queries in addition.
There are some bugmail notifications that I do not read and there are some smaller projects that I do not follow (excluding from notifications via H9). No totally clear criteria, but this happens

  • as chapters like WMSE or WMUA organize/manage their projects
  • when popularity or the user base is small enough that not many uninvolved reporters create tasks, and the maintainers organize/manage their projects
  • as WMF teams seem to organize/manage their projects (though for some teams it is not very clear what they actually maintain to which extent), mostly via product managers or developers

Lately I have not been prioritizing tasks a lot because of missing time, plus because some projects have teams which either use the Priority field or not (e.g. via a workboard column) or because projects are small and some volunteer maintainers don't prioritize so it wouldn't be a big help.

When it comes to team expectations towards the bug wrangler:

  • There are no explicit agreements with teams in place and I am not aware of any team expecting me to triage their tasks.
  • Instead, it is considered a welcoming help (e.g. Operations expressed surprise that I sometimes comment on their tasks).
  • Teams or maintainers can express when they want help by contacting me.

In Phabricator, I concentrate on

  • getting newly or recently created tickets into good shape, created by non-'established'/non-tech-savvy community members
  • pinging on "Unbreak now" tasks regularly (which creates conflicts with the workflows or one or two teams using a "Done" column and leaving task statuses open for months).
  • pinging on tasks that have open questions after a while of nobody else following up
  • any tasks where the task summary, its content or its reporter catch my interest
  • reactive Phabricator maintenance such as adjusting Herald rules, processing NDA requests, creating projects or spaces, renaming or disabling Phabricator user accounts, updating Phabricator documentation, general support requests, etc.

I updated mw:Bugwrangler accordingly, explicitly telling maintainers to contact me to discuss receiving more support.
(I also updated mw:Bug management which was dusty.)

I consider this task resolved (not perfectly resolved, but resolved).

Qgil awarded a token.May 2 2016, 9:28 AM